Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.java.security
Class MessageDigestSpi

    java.lang.Object
      |
      +--com.novell.java.security.MessageDigestSpi

public abstract class MessageDigestSpi
extends java.lang.Object

Defines the Service Provider Interface (SPI) for the MessageDigest class. The MessageDigest class provides the functionality of a message digest algorithm, such as MD5 or SHA. Message digests are secure one-way hash functions that take arbitrary-sized data and output a fixed-length hash value.

All the abstract methods in this class must be implemented by a cryptographic service provider who wishes to supply the implementation of a particular message digest algorithm. Implementations are free to implement the Cloneable interface.

See Also:
  `MessageDigest`

Constructor Summary
`MessageDigestSpi()`

Method Summary
`java.lang.Object` | `clone()` Creates a new message digest object of the same class as this message digest object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDigestSpi

    public MessageDigestSpi()

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Creates a new message digest object of the same class as this message digest object. It then initializes each of the new object's fields by assigning it the same value as the corresponding field in this object. The clone() method will only clone a message digest object if the implementation is Cloneable. A class indicates that its instances can be cloned by declaring that it implements the Cloneable interface.
  Returns:
    a clone if the implementation is cloneable.
  Throws:
    java.lang.CloneNotSupportedException - Thrown if the clone() method is called on an implementation that does not support Cloneable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD